Bug 240225 - nfs-utils postuninstall scriptlet failure on upgrade
nfs-utils postuninstall scriptlet failure on upgrade
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: nfs-utils (Show other bugs)
6
All Linux
medium Severity medium
: ---
: ---
Assigned To: Steve Dickson
Ben Levenson
bzcl34nup
:
: 240268 240979 (view as bug list)
Depends On:
Blocks: 240352
  Show dependency treegraph
 
Reported: 2007-05-15 16:19 EDT by Ville Skyttä
Modified: 2008-08-02 19:40 EDT (History)
6 users (show)

See Also:
Fixed In Version: Fedora 8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-04 08:38:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Ville Skyttä 2007-05-15 16:19:25 EDT
Upgrading from nfs-utils-1.0.10-7.fc6.x86_64 to nfs-utils-1.0.10-10.fc6.x86_64
when nfs is not running results in:

error: %postun(nfs-utils-1.0.10-7.fc6.x86_64) scriptlet failed, exit status 1

...and subsequently:

$ rpm -q nfs-utils
nfs-utils-1.0.10-7.fc6.x86_64
nfs-utils-1.0.10-10.fc6.x86_64

This is because /etc/init.d/nfs condrestart returns an error code (1) if nfs is
not running:

# /etc/init.d/nfs status
rpc.mountd is stopped
nfsd is stopped
# /etc/init.d/nfs condrestart
# echo $?
1

Fix: make nfs condrestart exit with 0 if nfs is not running.
Comment 1 Michael Schwendt 2007-05-16 06:47:58 EDT
*** Bug 240268 has been marked as a duplicate of this bug. ***
Comment 2 Steve Dickson 2007-05-16 13:14:24 EDT
Fixed in nfs-utils-1.0.10-11
Comment 3 Stepan Kasal 2007-05-23 11:49:11 EDT
*** Bug 240979 has been marked as a duplicate of this bug. ***
Comment 4 Michal Jaegermann 2007-05-31 18:39:49 EDT
> Fixed in nfs-utils-1.0.10-11

Well, the same bug hit during an upgrade from nfs-utils-1.0.12-4.fc7
to nfs-utils-1.0.12-6.fc8.  The later has in postuninstall

   .....
  /etc/rc.d/init.d/nfs condrestart > /dev/null
  /etc/rc.d/init.d/nfslock condrestart > /dev/null

and the "nfslock" happens to return with status 0 regardless if
it nfslock service was running or not so everything is apparently
fine.  But the previous line will return 1 if nfs was not running
so if that will show up at the end then we are screwed.

Why not to add an explicit terminating 'return 0' and not to rely on
how scripts in /etc/rc.d/init.d/ were edited at the moment?
Comment 5 Bug Zapper 2008-04-04 03:15:03 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers

Note You need to log in before you can comment on or make changes to this bug.